[indent=4]

uses
    Gtk


//-- global variables --

param_url : string
param_width : int
param_height : int
param_title : string
init

    //-- analyse comandline arguments, init gtk --

    param_url=args[1]


    if param_url == "--help"

        print "Usage: 'url' 'title' width height"
        return

    Gtk.init (ref args)
    
    param_width = Gdk.Screen.width() /2
    param_height = Gdk.Screen.height()-100
    param_title = "Puppy Browser"

    if args.length > 1
        param_url=args[1]
    else
        param_url = "http://google.com"

    if args.length > 2
        param_title=args[2]

    if args.length > 3
        param_width=args[3].to_int()

    if args.length > 4
        param_height=args[4].to_int()

    
    //-- build window now, not in the class, so that later new instances might be added to tabs --

    var window1 = new Gtk.Window (Gtk.WindowType.TOPLEVEL) 
    window1.set_default_size ( param_width , param_height ) 
    window1.destroy += Gtk.main_quit 
    window1.set_title(param_title) 
    window1.move(0 , 40) 
  
    var vbox = new Gtk.VBox(false , 1) 
    vbox.border_width = 0 
    vbox.spacing = 0
    vbox.show()
    window1.add (vbox) 
    


    //-- this path does not need to exist, but must be set to avoid crashes --

    MozEmbed.set_profile_path( Environment.get_home_dir() + "/.mozilla/default/" , "MU")
    
    //MozEmbed.set_profile_path("/root/.mozilla/default/" , "r3y1skkw.slt")
    
    
    //-- create an instance of the viewer --
    
    var hw = new HtmlViewer ()
    hw.init()
    
    //-- attach it to the window, show it --
    vbox.pack_start(hw.vbox,true , true ,0)
    
    window1.show_all ()


    //-- open the web page --
    hw.load(param_url) 


    Gtk.main ()
